Skip to main content
Allow you to create contact - contact , contact - custom objects associations, will add more in the future.Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-293776/cd0f4122abc04d3
POST https://services.leadconnectorhq.com/associations/

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

locationId
string
default:"string"
required
key
string
default:"student_teacher"
required
Association’s Unique key
firstObjectLabel
object
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectKey
object
default:"custom_objects.children"
required
First Objects Key
secondObjectLabel
object
default:"Teacher"
required
Second Object Association Label (contact)
secondObjectKey
object
default:"contact"
required
Second Objects Key

Respuestas

locationId
string
default:"string"
required
id
string
default:"ve9EPM428h8vShlRW1KT"
required
key
string
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectLabel
object
default:"student"
required
First Objects Association Label (custom_objects.children)
firstObjectKey
object
default:"custom_objects.children"
required
First Objects Key
secondObjectLabel
object
default:"Teacher"
required
Second Object Association Label (contact)
secondObjectKey
object
default:"contact"
required
Second Objects Key
associationType
object
default:"USER_DEFINED"
required
Association Type can be USER_DEFINED or SYSTEM_DEFINED
{
  "locationId": "string",
  "id": "ve9EPM428h8vShlRW1KT",
  "key": "student",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact",
  "associationType": "USER_DEFINED"
}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/associations/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "string",
  "key": "student_teacher",
  "firstObjectLabel": "student",
  "firstObjectKey": "custom_objects.children",
  "secondObjectLabel": "Teacher",
  "secondObjectKey": "contact"
}'
const response = await fetch('https://services.leadconnectorhq.com/associations/', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "string", "key": "student_teacher", "firstObjectLabel": "student", "firstObjectKey": "custom_objects.children", "secondObjectLabel": "Teacher", "secondObjectKey": "contact"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/associations/',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "string", "key": "student_teacher", "firstObjectLabel": "student", "firstObjectKey": "custom_objects.children", "secondObjectLabel": "Teacher", "secondObjectKey": "contact"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/associations/');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': 'string', 'key': 'student_teacher', 'firstObjectLabel': 'student', 'firstObjectKey': 'custom_objects.children', 'secondObjectLabel': 'Teacher', 'secondObjectKey': 'contact'}),
]);
$data = json_decode(curl_exec($ch), true);